Bug 250730 - devel/godot: Update to 3.2.3, add joystick support
Summary: devel/godot: Update to 3.2.3, add joystick support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-30 02:32 UTC by waitman
Modified: 2020-12-18 06:14 UTC (History)
4 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
Update godot to 3.2.3 (3.56 KB, patch)
2020-10-30 02:32 UTC, waitman
no flags Details | Diff
replace COMMENT?= (3.67 KB, patch)
2020-10-30 02:56 UTC, waitman
no flags Details | Diff
maintainer update for devel/godot (3.99 KB, patch)
2020-10-30 05:34 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description waitman 2020-10-30 02:32:09 UTC
Created attachment 219212 [details]
Update godot to 3.2.3

update to 3.2.3 stable

remove openssl (godot now uses mbded TLS)

add UDEV option for Joystick support
patch file to enable joystick support on FreeBSD
Comment 1 waitman 2020-10-30 02:56:57 UTC
Created attachment 219213 [details]
replace COMMENT?=

updated diff, i replaced the COMMENT?= i had removed when portlint complained. But it should be there because of godot-tools
Comment 2 Shane 2020-10-30 05:34:51 UTC
Created attachment 219215 [details]
maintainer update for devel/godot

Guess I forgot to send that update. I also had an update for the demo files. I'll merge your changes in to this one.

Thanks for the joystick addition.

With adding the new option, you have got a little lost, maybe have a look at - https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html

The OPTIONS_GROUP adds to the OPTIONS_DEFINE, you don't need to have them in both. While you don't need a group to add UDEV, redefining OPTIONS_GROUP is why the audio options dissappeared.

If you had multiple device options you wanted in a group, you would add the device group to OPTIONS_GROUP and then add a devices group

OPTIONS_GROUP= AUDIO DEVS
OPTIONS_GROUP_DEVS= UDEV EDEV RDEV

Or you could have added to OPTIONS_GROUP without changing the previous setting.

OPTIONS_GROUP+= DEVS
OPTIONS_GROUP_DEVS= UDEV EDEV RDEV
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-30 09:05:39 UTC
^Triage: [tags] in issue Titles are deprecated.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please deprecate patches that are obsolete.

Thanks!
Comment 4 waitman 2020-10-30 16:14:12 UTC
Thanks for the tips, I will do it better next time.
Comment 5 Fernando Apesteguía freebsd_committer 2020-10-30 16:36:20 UTC
(In reply to waitman from comment #4)

No worries :-)

Thanks for the update!
Comment 7 Rainer Hurling freebsd_committer 2020-12-17 20:36:39 UTC
FYI: I added a review [1] on Phabricator to get approval from my mentors ;)

[1] https://reviews.freebsd.org/D27659
Comment 8 commit-hook freebsd_committer 2020-12-18 06:11:46 UTC
A commit references this bug:

Author: rhurlin
Date: Fri Dec 18 06:11:40 UTC 2020
New revision: 558356
URL: https://svnweb.freebsd.org/changeset/ports/558356

Log:
  devel/godot: Update to 3.2.3

  Update with several fixes, enhancements, and new features.
  Added joystick support.

  Changelog: https://godotengine.org/article/maintenance-release-godot-3-2-3

  PR:		250730
  Submitted by:	waitman@waitman.net <waitman@waitman.net>
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27659

Changes:
  head/devel/godot/Makefile
  head/devel/godot/distinfo
  head/devel/godot/files/patch-devel_godot_files_patch-platform__x11__detect.py
  head/devel/godot/pkg-descr
Comment 9 Rainer Hurling freebsd_committer 2020-12-18 06:14:16 UTC
Committed, thanks :)